glassfish
  1. glassfish
  2. GLASSFISH-1446

SPI should use JDK6 java.util.ServiceLoader if present

    Details

    • Type: Improvement Improvement
    • Status: Open
    • Priority: Minor Minor
    • Resolution: Unresolved
    • Affects Version/s: 9.0pe
    • Fix Version/s: not determined
    • Component/s: entity-persistence
    • Labels:
      None
    • Environment:

      Operating System: All
      Platform: All

    • Issuezilla Id:
      1,446

      Description

      see http://download.java.net/jdk6/docs/api/java/util/ServiceLoader.html

      For instance, this means javax.persistence.Persistence class should use this
      class when possible instead of the custom service discovery.

      This has to do with aligning Java EE 5 RI to Java SE 6 features. Aternative code
      (here reimplemented or somtime using proprietary sun.misc.Service), should be
      moved out of javax.persistence too IMHO.

        Activity

        Hide
        marina vatkina added a comment -

        resetting the default owner

        Show
        marina vatkina added a comment - resetting the default owner
        Hide
        Tom Mueller added a comment -

        Bulk change to set fix version to "not determined" where the issue is open but the value is for a released version.

        Show
        Tom Mueller added a comment - Bulk change to set fix version to "not determined" where the issue is open but the value is for a released version.

          People

          • Assignee:
            tware
            Reporter:
            bjb
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated: